## org.eclipse.emf.transaction.impl
Class ReadOnlyValidatorImpl

    java.lang.Object
      org.eclipse.emf.transaction.impl.ReadWriteValidatorImpl
          org.eclipse.emf.transaction.impl.ReadOnlyValidatorImpl

All Implemented Interfaces:
  TransactionValidator

    public class ReadOnlyValidatorImpl

extends ReadWriteValidatorImpl

A validator for read-only transactions. It provides all of the notifications (in order) that occurred during the transaction, but does not validate them (validation always passes with no problems).

A read-only validator should be created for the root transaction of any nested read-only transaction structure, when the root transaction is activated. As child transactions are activated, they must be `added` to me so that I may correctly track which notifications were received during which transaction, and at which time relative to the start and completion of nested transactions.

See Also:
  `ReadWriteValidatorImpl`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.impl.TransactionValidator
`TransactionValidator.Factory`

Field Summary

Fields inherited from interface org.eclipse.emf.transaction.impl.TransactionValidator
`NULL`

Constructor Summary
`ReadOnlyValidatorImpl()` Initializes me.

Method Summary
`IStatus` `validate()` I always return an OK status because there is never anything to validate in a read-only transaction.

Methods inherited from class org.eclipse.emf.transaction.impl.ReadWriteValidatorImpl
`add, createValidator, dispose, getNotificationsForPostcommit, getNotificationsForPrecommit, getNotificationsForValidation, remove, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadOnlyValidatorImpl

    public ReadOnlyValidatorImpl()

  Initializes me.

Method Detail

### validate

    public IStatus validate()

  I always return an OK status because there is never anything to validate in a read-only transaction.

  Returns:
    an OK status, always

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.